use std::cmp::{max, min};

use crate::position::Position;

#[derive(Copy, Clone, Debug, PartialEq)]
pub struct Monster {
    life: usize,
}

impl Monster {
    pub fn new(life: usize) -> Monster {
        Monster {
            life,
        }
    }
    pub fn get_life(&self) -> usize { self.life }
    pub fn decrease_life(&mut self, by: i16) {
        self.life = max(0, (self.life as i16 - by) as usize);
    }
}
